Bug 554011 - "xcb_io.c:378: _XAllocID: Assertion `ret != inval_id' failed" in _cairo_xlib_surface_ensure_dst_picture running RingSensorsScreenlet.py
"xcb_io.c:378: _XAllocID: Assertion `ret != inval_id' failed" in _cairo_xlib_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:6e3581103d49aeaeb47bdd5c295...
:
: 554270 635701 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-09 18:31 EST by Laurent Forthomme
Modified: 2010-12-03 19:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:38:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.15 KB, text/plain)
2010-01-09 18:31 EST, Laurent Forthomme
no flags Details

  None (edit)
Description Laurent Forthomme 2010-01-09 18:31:25 EST
abrt 1.0.2 detected a crash.

Attached file: backtrace
cmdline: python -u /usr/share/screenlets/RingSensors/RingSensorsScreenlet.py
component: python
executable: /usr/bin/python
kernel: 2.6.31.9-174.fc12.i686
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 6
Comment 1 Laurent Forthomme 2010-01-09 18:31:32 EST
Created attachment 382729 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-01-11 16:31:20 EST
*** Bug 554270 has been marked as a duplicate of this bug. ***
Comment 3 Dave Malcolm 2010-01-11 16:33:28 EST
Bug 554270 shows a very similar problem, albeit it in /usr/share/screenlets/Sensors/SensorsScreenlet.py, so I've marked it as a duplicate.

Note that screenlets is not yet in Fedora (see bug 484644 for the package review).
Comment 4 Dave Malcolm 2010-01-11 16:40:39 EST
Which version of screenlets are you running?

Looks like a call to gdk_window_clear_backing_region (frame #16) leads ultimately to _cairo_xlib_surface_fill_rectangles failing with _XAllocID returning inval_id

Bouncing component over from "python" to "cairo": any ideas what's causing this?
Comment 5 leigh scott 2010-03-12 10:23:31 EST
(In reply to comment #0)
> abrt 1.0.2 detected a crash.
> 
> Attached file: backtrace
> cmdline: python -u /usr/share/screenlets/RingSensors/RingSensorsScreenlet.py
> component: python
> executable: /usr/bin/python
> kernel: 2.6.31.9-174.fc12.i686
> package: python-2.6.2-2.fc12
> rating: 4
> reason: Process was terminated by signal 6    

Try the updated package

http://www.dfm.uninsubria.it/compiz/fusion/12/i386/screenlets-0.1.2-8.fc12.noarch.rpm
Comment 6 Fedora Admin XMLRPC Client 2010-06-17 11:24:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Benjamin Otte 2010-09-21 13:55:26 EDT
*** Bug 635701 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2010-11-03 21:24:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 19:38:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.